import PropTypes from 'prop-types';
import States from "../States/index.js";
import geoShapes from './states.asset.json';

/**
 * SVG content component to render geographical boundaries of all states in the
 * country.
 */
const StatesGeo = function StatesGeo(props) {
  return <States topo={geoShapes} mapName="geo" {...props} />;
};
StatesGeo.defaultProps = {
  states: [],
  labelStyle: 'ap_abbr',
  tooltip: undefined
};
StatesGeo.propTypes = {
  /**
   * An array of pairs of state codes and color names
   */
  states: PropTypes.arrayOf(PropTypes.shape({
    color: PropTypes.string,
    code: PropTypes.string
  })),
  labelStyle: PropTypes.oneOf(['ap_abbr', 'abbr']),
  tooltip: PropTypes.shape({})
};
export default StatesGeo;